Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor
Class PostProcessor

    java.lang.Object
      com.bea.portal.appflow.processor.AbstractPortalProcessor
          com.bea.portal.appflow.processor.PostProcessor

All Implemented Interfaces:
  com.bea.p13n.appflow.webflow.InputProcessor

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class PostProcessor
extends AbstractPortalProcessor

The PostProcessor is the last processor called by the portal's own internal webflow, as defined by the `portal.wf` webflow file.
It has the following responsibilities:
Invoke the refresh event for all portlets except the portlet from which the event came.

See Also:
  `PortalAppflowConstants.PORTLET_REFRESH`, `com.bea.portal.appflow.PortalAppflowConstants#PORTLET_FLOAT_EVENT;`

Constructor Summary
`PostProcessor()` Deprecated. Default constructor (called by webflow).

Method Summary
`Object` | `process(HttpServletRequest request, HttpServletResponse response, PortalRequest portalRequest, Object requestContext)` Deprecated. Main process method called by webflow.
`protected void` | `refreshPortlet(PortalRequest portalRequest, PageState pageState, PortletState portletState, HttpServletRequest request, HttpServletResponse response)` Deprecated. Invoke the webflow refresh event for a given portlet.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostProcessor

    public PostProcessor()

  Deprecated.
  Default constructor (called by webflow). This processor is NOT session sensitive as it calls `super()`

Method Detail

### process

    public Object process(HttpServletRequest request,
                          HttpServletResponse response,
                          PortalRequest portalRequest,
                          Object requestContext)
                   throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  Main process method called by webflow.

  Specified by:
    `process` in class `AbstractPortalProcessor`
  Returns:
    "success" except for special case when an event came from a floated portlet
  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException`
  See Also:
    `com.bea.portal.appflow.PortalAppflowConstants#PORTLET_FLOAT_EVENT;`

### refreshPortlet

    protected void refreshPortlet(PortalRequest portalRequest,
                                  PageState pageState,
                                  PortletState portletState,
                                  HttpServletRequest request,
                                  HttpServletResponse response)
                           throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  Invoke the webflow refresh event for a given portlet.

  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved